Name:          libgpg-error
Release:       1mamba
Version:       1.55
Summary:       Error handling functions and error codes used by GnuPG and Libgcrypt
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnupg.org
Source:        https://gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel >= 0.14.0

%description
The package libgpg-error contains common error codes and error handling functions used by GnuPG, Libgcrypt, GPGME and more packages.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The package libgpg-error contains common error codes and error handling functions used by GnuPG, Libgcrypt, GPGME and more packages.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%configure \
   --enable-static

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgpg-error.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/gpgrt-config
%{_bindir}/yat2m
%{_includedir}/*.h
%{_libdir}/libgpg-error.a
%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc
%{_datadir}/aclocal/gpgrt.m4
%{_datadir}/aclocal/gpg-error.m4
%{_datadir}/common-lisp/source/gpg-error/
%dir %{_datadir}/libgpg-error
%{_datadir}/libgpg-error/errorref.txt
%{_infodir}/gpgrt.info*
%{_mandir}/man1/gpgrt-config.1*
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/gpg-error
#%{_mandir}/man1/gpg-error-config.1*

%changelog
* Fri Apr 25 2025 Automatic Build System <autodist@openmamba.org> 1.55-1mamba
- automatic version update by autodist

* Fri Apr 18 2025 Automatic Build System <autodist@openmamba.org> 1.54-1mamba
- automatic version update by autodist

* Thu Apr 10 2025 Automatic Build System <autodist@openmamba.org> 1.53-1mamba
- automatic version update by autodist

* Tue Apr 08 2025 Automatic Build System <autodist@openmamba.org> 1.52-1mamba
- automatic version update by autodist

* Tue Nov 12 2024 Automatic Build System <autodist@openmamba.org> 1.51-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 1.50-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 1.49-1mamba
- automatic version update by autodist

* Sun Feb 25 2024 Automatic Build System <autodist@openmamba.org> 1.48-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 1.47-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.46-2mamba
- move libgpg-error/errorref.txt to devel package to fix multilib installation conflict

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 1.46-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Automatic Build System <autodist@mambasoft.it> 1.45-1mamba
- automatic version update by autodist

* Thu Jan 27 2022 Automatic Build System <autodist@mambasoft.it> 1.44-1mamba
- automatic version update by autodist

* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 1.43-1mamba
- automatic version update by autodist

* Wed Mar 24 2021 Automatic Build System <autodist@mambasoft.it> 1.42-1mamba
- automatic version update by autodist

* Fri Dec 25 2020 Automatic Build System <autodist@mambasoft.it> 1.41-1mamba
- automatic version update by autodist

* Wed Aug 26 2020 Automatic Build System <autodist@mambasoft.it> 1.39-1mamba
- automatic version update by autodist

* Mon Jun 01 2020 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic version update by autodist

* Wed Mar 20 2019 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic version update by autodist

* Fri Feb 01 2019 Automatic Build System <autodist@mambasoft.it> 1.35-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic version update by autodist

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic version update by autodist

* Wed Jul 18 2018 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Tue May 08 2018 Automatic Build System <autodist@mambasoft.it> 1.31-1mamba
- automatic version update by autodist

* Thu Apr 12 2018 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic version update by autodist

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Tue Mar 07 2017 Automatic Build System <autodist@mambasoft.it> 1.27-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic version update by autodist

* Sat Nov 26 2016 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Sun Jul 17 2016 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic version update by autodist

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Thu May 05 2016 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Tue Sep 01 2015 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic version update by autodist

* Sat May 02 2015 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic version update by autodist

* Sun Feb 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18-1mamba
- update to 1.18

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-1mamba
- update to 1.15

* Sun May 18 2014 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Mon Jun 24 2013 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Mon Mar 04 2013 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9-2mamba
- build static library required by suspend

* Fri Jul 30 2010 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7-1mamba
- automatic update by autodist

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 1.6-1mamba
- update to 1.6

* Wed Mar 21 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-2qilnx
- gpg-error-config moved to devel package

* Sun Mar 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1qilnx
- update to version 1.5 by autospec

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1-1qilnx
- update to version 1.1 by autospec
- specfile fixes: use rpm macros

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- package created by autospec
